Subject: Bug#142: x2goclient output on stdout

From: Kjell Otto <[email-masked]>
Date: Mon, 11 Mar 2013 13:51:28 +0100

Hi Mike,

here is my patch boiled down to one commit. You can look at it before
you apply it here:
https://github.com/kjellski/x2goclient/compare/master...debug-cleanup

Greetings,
Kjellski

2013/3/7 Mike Gabriel <[email-masked]>:
> Hi Otto,
>
> On Do 07 Mär 2013 13:51:25 CET Kjell Otto wrote:
>
>> Package: x2goclient
>>
>>
>> The x2goclient has extreme output on stdout while running. It's more
>> noise then signal and therefor, I've wrapped all the printouts with
>> #ifdef DEBUG and a #undef DEBUG on the onmainwindow.cpp file.
>>
>> Then I've added in printout statements that are parsable with numbered
>> output and category so that a normal run of the x2goclient would
>> output like this:
>>
>> $ ./client_build/x2goclient --session=x2goserver_RZ --add-to-known-hosts
>> --hide
>> x2go-INFO-001> Starting x2goclient...
>> x2go-WARN-001> Can't load translator: :/x2goclient_en_us
>> x2go-WARN-002> Can't load translator: :/qt_en_US
>> x2go-INFO-004> Started  x2goclient.
>> x2go-INFO-005> $HOME=/home/kjellski
>> x2go-INFO-029> Starting connection to server: 10.3.0.20:22
>> x2go-INFO-031> SSH connection established.
>> x2go-INFO-011> Closing x2goclient...
>> x2go-INFO-018> Waiting for the SSH connection to finish...
>> x2go-INFO-019> Waited  for the SSH connection to finish.
>> x2go-INFO-028> Closed  x2goclient.
>> $
>>
>> No GUI will be shown and no try Icons appear. This reflects a bit more
>> the --hide param and can be used to make a shortcut to the client that
>> will just open the window.
>>
>> Also I've added a log method and provided a script that lets you show
>> all outputs on the file.
>>
>> All changes can be found on this repository in the branch stdout-cleanup:
>>
>> https://github.com/kjellski/x2goclient/tree/stdout-cleanup
>>
>> If any additional help from my side is required, please contact me and
>> I try to support the process.
>
>
> yes, help is required.
>
> 1. Create fresh (tmp) branch
> 2. pull over your patches you wish applied in x2goclient.git
> 3. rebase, boil all single commits down to one commit
> 4. send the URL to the exact patch/diff for review
>
> Mike
>
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, rothenstein 5, 24214 neudorf-bornstein
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb